CSplineKernel::SCache Struct Reference

`#include <mia/core/splinekernel.hh>`

Collaboration diagram for CSplineKernel::SCache:
[legend]

## Public Member Functions

void | reset ()
| SCache (size_t s, const CSplineBoundaryCondition &bc, bool am)

## Data Fields

const CSplineBoundaryCondition & | boundary_condition
| the boundary condition to be applied
VIndex | index
| cached indices
int | index_limit
| last possible start index
bool | is_flat
| store whether indices were mirrored
bool | never_flat
| always use mirror
int | start_idx
| last start index the B-spline was evaluated for
VWeight | weights
| cached weights
double | x

## Detailed Description

A struture to cache B-spline weights and indices

Definition at line 69 of file splinekernel.hh.

## Constructor & Destructor Documentation

## SCache()

CSplineKernel::SCache::SCache | ( | size_t | s,
|  | const CSplineBoundaryCondition & | bc,
|  | bool | am )

Initialize the case by setting the index and weight array size and mirror boundary sizes

Parameters

  s | support size of the kernel which equals the size of the index and weight arrays
  bc | Boundary conditions to be used, this is a reference to the parent interpolator object
  am | set to true if indices always need to be set

## Member Function Documentation

## reset()

void CSplineKernel::SCache::reset | ( |  | ) |

reset the parameters of the cache

## Field Documentation

## boundary_condition

const CSplineBoundaryCondition& CSplineKernel::SCache::boundary_condition

the boundary condition to be applied

Definition at line 102 of file splinekernel.hh.

## index

VIndex CSplineKernel::SCache::index

cached indices

Definition at line 99 of file splinekernel.hh.

## index_limit

int CSplineKernel::SCache::index_limit

last possible start index

Definition at line 93 of file splinekernel.hh.

## is_flat

bool CSplineKernel::SCache::is_flat

store whether indices were mirrored

Definition at line 105 of file splinekernel.hh.

## never_flat

bool CSplineKernel::SCache::never_flat

always use mirror

Definition at line 108 of file splinekernel.hh.

## start_idx

int CSplineKernel::SCache::start_idx

last start index the B-spline was evaluated for

Definition at line 90 of file splinekernel.hh.

## weights

VWeight CSplineKernel::SCache::weights

cached weights

Definition at line 96 of file splinekernel.hh.

## x

double CSplineKernel::SCache::x

last location the B-spline was evaluated at. This value is initialized to NaN to make sure we

Definition at line 87 of file splinekernel.hh.

The documentation for this struct was generated from the following file:

- splinekernel.hh